import { useGameStore } from '@/stores/gameStore'

export function useCameraControls(scene: Phaser.Scene): any {
  const gameStore = useGameStore()
  const camera = scene.cameras.main

  function onPointerDown(pointer: Phaser.Input.Pointer) {
    if (pointer.event instanceof MouseEvent || pointer.event.shiftKey) {
      gameStore.setPlayerDraggingCamera(true)
    }
  }

  function onPointerUp() {
    gameStore.setPlayerDraggingCamera(false)
  }

  scene.input.on(Phaser.Input.Events.POINTER_DOWN, onPointerDown)
  scene.input.on(Phaser.Input.Events.POINTER_UP, onPointerUp)

  return {
    camera
  }
}
